# *!!!this is an un-finished but active work in progress!!!* #
<h1 align="center">
  <a href="http://github.com/containercraft" target="_blank">Zorya.CCIO</a></h2>
</h1>
<h3 align="center">An Alpine Based LibVirt/QEMU Hypervisor Platform

## Need
With a growing passion for building FOSS based services we needed a powerful but light weight and easily reproducible foundation. Zorya is the hypervisor standard we use as the recommended platform for crafting and sharing container based services.

We want to share our passion for awesome, selfhosted services, with anyone and everyone regardless of resources or hardware access. This project aims to supply an easily accessible but fully functional virtual hosting environment that can run on common under powered legacy hardware.

    Q. Why use Alpine as a bare metal hypervisor?
    A. Alpine+LXD+LibVirt+OVS offers a light weight, grsec patched, fully featured hypervisor

## Application
* Provides ContainerCraft.io infrastructure & hosting platform
* Foundation Hypervisor for Rapid OS & Container Guest Development
* Provides Container Development Environments Including
  * LXD
  * LXC
  * Docker
  * BSD Jails
  * RKT
* Provides Container Development OS Environments Including
  * RedHat 6.x
  * RedHat 7.x
  * Fedora 26
  * Ubuntu 16.04
  * OpenBSD
  * CoreOS

## How To Use

You can find instructions for use in the wiki.
-
To start building your own development lab like Zorya.CCIO you can use any moderately powered laptop using virtual machines or old computer/s as a base and scale to hyperscale from there.

*This solution is a work in progress in preliminary development.

```bash
# Clone this repository
$ git clone https://github.com/containercraft/zorya.git
```
## You may also like...
- [Hrungnir](https://github.com/containercraft/hrungnir) - A LXD based CEPH cluster


#### License
GNUv3.0

